Subject: Re: Fix source

From: Zheng Gengbin <[email-masked]>
Date: Mon, 25 Nov 1996 10:03:54 +0800 (EAT)

Your method have some defects , think about when use prefix= to 
specify a relative path instead of a absolute path , the look for intrinsic.sl 
will fail . So we must get the full absolute path of the install path , 
still there is another difficulty , when configure time , the install 
path may not exist , we cannot cd to the install path and got the path , we 
have to substitue the . by the pwd . There is quite a lot of operation .
One of the most important work done by FixSource is to find out the full 
path . I agree by moving FixSource to configure , we may solve the 
problem , but that;s also inelegant .

On Sun, 24 Nov 1996, Guansong Zhang wrote:

> Hi,
> 
> I send a frontend.tar.gz to you. This is a test version, I am trying to get
> ride of the FixSource, since we have a much powerful configure file, this
> FixSource make us a little cumbersome.
> 
> The idea is let configure decide where the libhpf.sl located.
> 
> At first I intend to do this in acconfig.h, but I can not find an elegant way
> to get $prefix when install to some where else.
> 
> So later I try use Makefile.in, but I need to add a PWD to get the absolute
> path to hold hpfsc.
> 
> This is necessary because we need to let hpfsc find the lib
> 
> 1), after make, before install
> 
> 2), after install, and make clean, before make uninstall.
> 
> Please check my if my idea is correct. If so, we can do the same thing to
> err.deal. Currently, I think it will cause trouble by this file in the second
> situation. Because it is not installed.
> 
> The thing a little puzzled me is that I need to add \ before " when use -D flag
> in cc. I don't know why, I just get it by testing.
> 
> Guansong
>